<template>
  <section>
    <img :src="imagePath">
    <press-enter :next-state="nextState" />
  </section>
</template>

<script>
import PressEnter from '~/components/press-enter.vue'

export default {
  components: {
    PressEnter
  },
  props: {
    imagePath: {
      type: String,
      required: true
    },
    nextState: {
      type: String,
      required: true
    }
  }
}
</script>

<style scoped>
section {
  max-width: 100vw;
}

img {
  width: 100%;
}
</style>
